> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herodotus.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# List buckets

> List all Atlantic buckets created with your API key.



## OpenAPI

````yaml get /buckets
openapi: 3.0.3
info:
  title: Atlantic API
  version: 0.1.0
servers:
  - url: https://atlantic.api.herodotus.cloud
    description: Production
  - url: https://stg.atlantic.api.herodotus.cloud
    description: Staging
security: []
paths:
  /buckets:
    get:
      tags:
        - Applicative Recursion
      summary: Get the list of buckets you have submitted.
      description: Provide your API key to get list of buckets you have submitted.
      parameters:
        - schema:
            type: string
          in: query
          name: apiKey
          required: false
        - schema:
            type: number
          in: query
          name: limit
          required: false
        - schema:
            type: number
          in: query
          name: offset
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        externalId:
                          type: string
                          nullable: true
                        status:
                          type: string
                          enum:
                            - OPEN
                            - IN_PROGRESS
                            - DONE
                            - FAILED
                        aggregatorVersion:
                          type: string
                          enum:
                            - snos_aggregator_0.13.3
                            - snos_aggregator_0.13.4
                            - snos_aggregator_0.14.0
                            - snos_aggregator_0.14.1
                        aggregatorParams:
                          anyOf:
                            - anyOf:
                                - type: string
                                - type: number
                                - type: boolean
                                - enum:
                                    - 'null'
                                  nullable: true
                            - type: object
                              additionalProperties: {}
                            - type: array
                          nullable: true
                        nodeWidth:
                          type: integer
                          minimum: -2147483648
                          maximum: 2147483647
                          nullable: true
                        leaves:
                          type: integer
                          minimum: -2147483648
                          maximum: 2147483647
                          nullable: true
                        chain:
                          type: string
                          enum:
                            - L1
                            - L2
                            - APE_CHAIN
                            - OFFCHAIN
                            - WORLD_CHAIN
                        mockProof:
                          type: boolean
                          nullable: true
                        projectId:
                          type: string
                        createdByClient:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                      required:
                        - id
                        - externalId
                        - status
                        - aggregatorVersion
                        - aggregatorParams
                        - nodeWidth
                        - leaves
                        - chain
                        - mockProof
                        - projectId
                        - createdByClient
                        - createdAt
                      additionalProperties: false
                  total:
                    type: number
                required:
                  - data
                  - total
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - MISSING_API_KEY
                required:
                  - error
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                      - ZOD_PARSING_ERROR
                required:
                  - error
                additionalProperties: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api-key

````